QGIS Application - Bug report #19561

Crash while reopening minimized QGIS window.

2018-08-07 04:30 PM - Nicholas Boyko

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.0.3

Operating System: Windows 10 Professional

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No

No

not reproducable
27388

Description

User Feedback

| opened the window after having it minimized all weekend

Report Details

Crash ID: 5fe87e1d589013065bc457¢1527801¢c73b2dab97
Stack Trace

QgsColorRampShader::shade :
QgsSingleBandPseudoColorRenderer::block :
QgsBrightnessContrastFilter::block :
QgsHueSaturationFilter::block :
QgsRasterResampleFilter::block :
QgsRasterProjector::block :
QgsRasterlterator::readNextRasterPart :
QgsRasterDrawer::draw :
QgsRasterLayerRenderer::render :
QgsMapRendererParallelJob::renderLayerStatic :
QgsMapRendererParallelJob::renderingFinished :
QgsArchive::zip :

QgslmageOperation::fliplmage :
QtConcurrent::ThreadEngineBase::run :
QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-07 04:31 PM - Giovanni Manghi

2024-04-28

12




- Status changed from Open to Feedback
- Priority changed from Low to High

very difficult to test this scenario :)

can you give us more details? what datasources do you use?

#2 - 2018-08-07 04:31 PM - Giovanni Manghi

also update to 3.2

#3 - 2018-08-23 02:12 PM - Nicholas Boyko

| had some rasters relating to LIDAR QC loaded, and had another QGIS window that had other rasters open, each had roughly 2GB of data in memory.

The first opened fine, the second crashed on maximizing. | had XYZ tiles loaded in both.

#4 - 2018-08-23 06:13 PM - Giovanni Manghi

Nicholas Boyko wrote:

| had some rasters relating to LiDAR QC loaded, and had another QGIS window that had other rasters open, each had roughly 2GB of data in

memory. The first opened fine, the second crashed on maximizing. | had XYZ tiles loaded in both.

very hard to try replicate indeed. Does it happens regularly? or it was a one time thing? Any difference on 3.2/master?

#5 - 2018-08-23 06:17 PM - Nicholas Boyko

This was a one-time thing, | suspect that it's probably more of a Windows thing, possibly lost track of assigned RAM.

Have not tested 3.2, but | also have not had this issue since. I'll try replicating tomorrow.

#6 - 2018-08-23 08:35 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Reopen if replicable in a consistent way.
